<script setup lang="ts">
import { defineEmits, ref } from 'vue'
import type { Ref } from 'vue'

import AddGitlabUser from '@/components/forms/GitLabIntegration/AddGitlabUser.vue'
import AddGitlabToken from '@/components/forms/GitLabIntegration/AddGitlabToken.vue'

interface Emit {
  (e: 'finished', value: number): void
}

const props = defineProps<{ user: User }>()

const emit = defineEmits<Emit>()

const onlyToken: Ref<boolean> = ref(false)

// const emit = defineEmits(['finished']);

const finished = () => {
  emit('finished')

  // emit('finished');
}
</script>

<template>
  <h4>NoGitlabUser</h4>
  <VRow>
    <VCol cols="12">
      <VAlert
        border="start"
        border-color="info"
        variant="tonal"
      >
        <strong>Info!</strong> <i>No GitLab user was found.</i> The user does not have a GitLab account, do you want to
        create a GitLab account and
        a token for that user?
      </VAlert>
    </VCol>
  </VRow>
  <VRow class="mb-2">
    <VCol cols="6">
      Only token
      <VSwitch
        v-model="onlyToken"
        :label="`Only token: ${onlyToken ? 'Yes' : 'No'}`"
        color="primary"
      />
    </VCol>
  </VRow>

  <AddGitlabToken
    v-if="onlyToken"
    :user="props.user"
    @finished="finished"
  />
  <AddGitlabUser
    v-else
    :user="props.user"
    @finished="finished"
  />
</template>
